<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <meta name="author" content="KELBERT Paul">
  
  <link rel="shortcut icon" href="img/favicon.ico">
  <title>Analyse - Baignoire</title>
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato:400,700|Roboto+Slab:400,700|Inconsolata:400,700" />

  <link rel="stylesheet" href="css/theme.css" />
  <link rel="stylesheet" href="css/theme_extra.css" />
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.5.0/styles/github.min.css" />
  
  <script>
    // Current page data
    var mkdocs_page_name = "Analyse";
    var mkdocs_page_input_path = "infos.md";
    var mkdocs_page_url = null;
  </script>
  
  <script src="js/jquery-2.1.1.min.js" defer></script>
  <script src="js/modernizr-2.8.3.min.js" defer></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.5.0/highlight.min.js"></script>
  <script>hljs.initHighlightingOnLoad();</script> 
</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side stickynav">
    <div class="wy-side-scroll">
      <div class="wy-side-nav-search">
        <a href="index.html" class="icon icon-home"> Baignoire</a>
        <div role="search">
  <form id ="rtd-search-form" class="wy-form" action="./search.html" method="get">
      <input type="text" name="q" placeholder="Search docs" title="Type search term here" />
  </form>
</div>
      </div>

      <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
                <ul>
                    <li class="toctree-l1"><a class="reference internal" href="index.html">Présentation générale</a>
                    </li>
                </ul>
                <ul>
                    <li class="toctree-l1"><a class="reference internal" href="install.html">Manuel d'installation</a>
                    </li>
                </ul>
                <ul>
                    <li class="toctree-l1"><a class="reference internal" href="librairies.html">Technologies</a>
                    </li>
                </ul>
                <ul>
                    <li class="toctree-l1"><a class="reference internal" href="problems.html">Problèmes rencontrés</a>
                    </li>
                </ul>
                <ul>
                    <li class="toctree-l1"><a class="reference internal" href="use.html">Manuel d'utilisation</a>
                    </li>
                </ul>
                <ul class="current">
                    <li class="toctree-l1 current"><a class="reference internal current" href="infos.html">Analyse</a>
    <ul class="current">
    <li class="toctree-l2"><a class="reference internal" href="#comment-fonctionne-lapplication">Comment fonctionne l'application ?</a>
    </li>
    <li class="toctree-l2"><a class="reference internal" href="#interface-homme-machine">Interface homme-machine</a>
        <ul>
    <li class="toctree-l3"><a class="reference internal" href="#aspect-global">Aspect global</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#ux">UX</a>
    </li>
        </ul>
    </li>
    </ul>
                    </li>
                </ul>
      </div>
    </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="index.html">Baignoire</a>
      </nav>

      
      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="index.html">Docs</a> &raquo;</li>
    
      
    
    <li>Analyse</li>
    <li class="wy-breadcrumbs-aside">
      
        <a href="https://gitlab.com/m9215/paoo/baignoire/edit/master/docs/infos.md"
          class="icon icon-gitlab"
        > Edit on GitLab</a>
      
    </li>
  </ul>
  
  <hr/>
</div>

          <div role="main">
            <div class="section">
              
                <h1 id="analyse">Analyse</h1>
<h3 id="comment-fonctionne-lapplication"><strong>Comment fonctionne l'application ?</strong></h3>
<p>Au lancement de l'application, un objet baignoire est créé. Deux threads sont lancés :</p>
<ul>
<li>Un concernant le remplissage de la baignoire, s'exécutant toutes les secondes, en fonction de la valeur renseignée dans le champ "débit de remplissage"</li>
<li>Un deuxième concernnant les fuites de la baignoire. S'exécutant à intervales aléatoires, la quantité d'eau dans la baignoire est diminuée de la somme de la taille de tous les trous.</li>
</ul>
<hr />
<h3 id="interface-homme-machine">Interface homme-machine</h3>
<h6 id="aspect-global">Aspect global</h6>
<p>Pour développer cette application, j'ai fait le choix d'un IHM plutôt simple. Il n'existe pas de bouton "démarrer" ni "arrêter" afin d'éviter une surchage pour l'utilisateur. Cela implique peut d'actions possibles, liées à la baignoire, ce qui facilite l'utilisation.</p>
<h6 id="ux">UX</h6>
<p>Lors de l'utilisation de l'application, des fenêtres pop-up peuvent apparaître. Elles permettent à l'utilisateur d'être informé lorsque les données sont en cours de téléchargement, ou alors lorsque des erreurs sont commises par lui <em>(lors de l'insertion de mauvaises valeurs par exemple)</em></p>
              
            </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
      
        <a href="use.html" class="btn btn-neutral" title="Manuel d'utilisation"><span class="icon icon-circle-arrow-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <!-- Copyright etc -->
    
      <p>© KELBERT Paul 2022</p>
    
  </div>

  Built with <a href="https://www.mkdocs.org/">MkDocs</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>.
</footer>
      
        </div>
      </div>

    </section>

  </div>

  <div class="rst-versions" role="note" aria-label="versions">
  <span class="rst-current-version" data-toggle="rst-current-version">
    
        <span>
          <a href="https://gitlab.com/m9215/paoo/baignoire/" class="icon icon-gitlab" style="color: #fcfcfc"> GitLab</a>
        </span>
    
    
      <span><a href="use.html" style="color: #fcfcfc">&laquo; Previous</a></span>
    
    
  </span>
</div>
    <script>var base_url = '.';</script>
    <script src="js/theme_extra.js" defer></script>
    <script src="js/theme.js" defer></script>
      <script src="search/main.js" defer></script>
    <script defer>
        window.onload = function () {
            SphinxRtdTheme.Navigation.enable(true);
        };
    </script>

</body>
</html>
